[Debian-ha-commits] [pcs] 03/12: Removed old patches

Richard Winters devrik-guest at moszumanska.debian.org
Tue Jan 26 17:22:33 UTC 2016


This is an automated email from the git hooks/post-receive script.

devrik-guest pushed a commit to branch master
in repository pcs.

commit 977099c376eccad289db8a34c71042966ca1b46b
Author: Richard B Winters <rik at mmogp.com>
Date:   Tue Jan 26 11:27:37 2016 -0500

    Removed old patches
    
    Change-Id: If680d9b51396ba2d7cff11c7e124e372902ec125
    Signed-off-by: Richard B Winters <rik at mmogp.com>
---
 ...ne-upstream-for-compatibility-with-Debian.patch | 418 ---------------------
 .../0002-Fix-pcsd-makefile-for-gnu-linux.patch     |  31 --
 .../0003-Remove-Gemlock.file-on-Debian.patch       |  70 ----
 ...Remove-require-on-rubygems-in-pcsd-ssl.rb.patch |  22 --
 .../patches/0005-Remove-pcsd-.gitignore-file.patch |  22 --
 debian/patches/series                              |   5 -
 6 files changed, 568 deletions(-)

diff --git a/debian/patches/0001-Streamline-upstream-for-compatibility-with-Debian.patch b/debian/patches/0001-Streamline-upstream-for-compatibility-with-Debian.patch
deleted file mode 100644
index 9b04aea..0000000
--- a/debian/patches/0001-Streamline-upstream-for-compatibility-with-Debian.patch
+++ /dev/null
@@ -1,418 +0,0 @@
-From: Richard B Winters <rik at mmogp.com>
-Date: Wed, 6 May 2015 01:27:17 -0400
-Subject: Streamline upstream for compatibility with Debian
-
- - Updated the root Makefile to include checks for Debian and 
-   modify the installation appropriately.
- - The set of changes should allow for a proper 'from source' 
-   installation when downloaded and lacks any Debian 
-   packaging modifications, meant for a pull request to be 
-   sent upstream
-   
-Summary of Changes for Debian:
- - Arch indep files in /usr/share
- - Sysconfig is /etc/default
- - system-auth is /etc/pam.d/common-*; Debian specific pam.d 
-   configuration, pcsd.pam.debian, is added
- - Debian specific systemd file, pcsd.service.debian, is added
- - Debian specific init; pcsd.debian is added
- - Variables are introduced which discretely eases packaging;
-   BUILD_GEMS, systemddir, and install_settings
- - pcs/settings.py has variants for multi-arch support with 
-   64-bit and 32-bit architectures, updated to know the 
-   proper location of pacemaker binaries depending on the 
-   flag install_settings during build
-
-Change-Id: Ie06f5ed5232fbf00881f7c4a45c00a7822645d4c
-Signed-off-by: Richard B Winters <rik at mmogp.com>
----
- Makefile                                |  99 +++++++++++++++++++---
- pcs/settings.py.i386-linux-gnu.debian   |  19 +++++
- pcs/settings.py.x86_64-linux-gnu.debian |  19 +++++
- pcsd/pcsd.debian                        | 141 ++++++++++++++++++++++++++++++++
- pcsd/pcsd.pam.debian                    |   5 ++
- pcsd/pcsd.service.debian                |   9 ++
- 6 files changed, 282 insertions(+), 10 deletions(-)
- create mode 100644 pcs/settings.py.i386-linux-gnu.debian
- create mode 100644 pcs/settings.py.x86_64-linux-gnu.debian
- create mode 100755 pcsd/pcsd.debian
- create mode 100644 pcsd/pcsd.pam.debian
- create mode 100644 pcsd/pcsd.service.debian
-
-diff --git a/Makefile b/Makefile
-index c37373b..68cf1c4 100644
---- a/Makefile
-+++ b/Makefile
-@@ -1,3 +1,21 @@
-+# Compatibility with GNU/Linux [i.e. Debian] based distros
-+UNAME_OS_GNU := $(shell if uname -o | grep -q "GNU/Linux" ; then echo true; else echo false; fi)
-+UNAME_KERNEL_DEBIAN := $(shell if uname -v | grep -q "Debian" ; then echo true; else echo false; fi)
-+IS_DEBIAN=false
-+UNAME_DEBIAN_VER_8=false
-+
-+ifeq ($(UNAME_OS_GNU),true)
-+  ifeq ($(UNAME_KERNEL_DEBIAN),true)
-+    IS_DEBIAN=true
-+    UNAME_DEBIAN_VER_8 := $(shell if grep -q -i "8" /etc/debian_version ; then echo true; else echo false; fi)
-+    settings_x86_64 := $(shell if uname -m | grep -q -i "x86_64" ; then echo true; else echo false; fi)
-+    settings_i386=false
-+    ifeq ($(settings_64),false)
-+      settings_i386 := $(shell if uname -m | grep -q -i "i386" ; then echo true; else echo false; fi)
-+    endif
-+  endif
-+endif
-+
- ifndef PYTHON_SITELIB
-   PYTHON_SITELIB=$(shell python -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")
- endif
-@@ -8,25 +26,59 @@ ifeq ($(PYTHON_SITELIB), /usr/lib/python2.7/dist-packages)
-   EXTRA_SETUP_OPTS="--install-layout=deb"
- endif
- 
-+# Check for systemd presence, add compatibility with Debian based distros
- IS_SYSTEMCTL=false
--ifeq ("$(wildcard /usr/bin/systemctl)","/usr/bin/systemctl")
--  IS_SYSTEMCTL=true
-+
-+ifeq ($(IS_DEBIAN),true)
-+  IS_SYSTEMCTL = $(shell if [ -d /var/run/systemd/system ] ; then echo true ; else echo false; fi)
-+  ifeq ($(IS_SYSTEMCTL),false)
-+    ifeq ($(SYSTEMCTL_OVERRIDE),true)
-+      IS_SYSTEMCTL=true
-+    endif
-+  endif
- else
--  ifeq ("$(wildcard /bin/systemctl)","/usr/bin/systemctl")
-+  ifeq ("$(wildcard /usr/bin/systemctl)","/usr/bin/systemctl")
-     IS_SYSTEMCTL=true
-+  else
-+    ifeq ("$(wildcard /bin/systemctl)","/usr/bin/systemctl")
-+      IS_SYSTEMCTL=true
-+    endif
-   endif
- endif
- 
-+# Check for an override for building gems
-+ifndef BUILD_GEMS
-+  BUILD_GEMS=true
-+endif
-+
- MANDIR=/usr/share/man
- 
- ifndef PREFIX
-   PREFIX=$(shell prefix=`python -c "import sys; print(sys.prefix)"` || prefix="/usr"; echo $$prefix)
- endif
- 
-+ifndef systemddir
-+  systemddir=/usr/lib/systemd
-+endif
-+
- ifndef initdir
-   initdir=/etc/init.d
- endif
- 
-+ifndef install_settings
-+  install_settings=false
-+else
-+  ifeq ($(install_settings),true)
-+    ifeq ($(settings_x86_64),true)
-+      settings_file=settings.py.x86_64-linux-gnu.debian
-+    else
-+      ifeq ($(settings_i386),true)
-+        settings_file=settings.py.i386-linux-gnu.debian
-+      endif
-+    endif
-+  endif
-+endif
-+
- install: bash_completion
- 	python setup.py install --prefix ${DESTDIR}${PREFIX} ${EXTRA_SETUP_OPTS}
- 	mkdir -p ${DESTDIR}${PREFIX}/sbin/
-@@ -34,30 +86,57 @@ install: bash_completion
- 	ln -fs ${PYTHON_SITELIB}/pcs/pcs.py ${DESTDIR}${PREFIX}/sbin/pcs
- 	install -D pcs/bash_completion.d.pcs ${DESTDIR}/etc/bash_completion.d/pcs
- 	install -m644 -D pcs/pcs.8 ${DESTDIR}/${MANDIR}/man8/pcs.8
-+ifeq ($(IS_DEBIAN),true)
-+  ifeq ($(install_settings),true)
-+	rm -f  ${DESTDIR}${PYTHON_SITELIB}/pcs/settings.py
-+	install -m755 pcs/${settings_file} ${DESTDIR}${PYTHON_SITELIB}/pcs/settings.py
-+  endif
-+endif
-+	
- 
- install_pcsd:
-+ifeq ($(BUILD_GEMS),true)
- 	make -C pcsd build_gems
-+endif
- 	mkdir -p ${DESTDIR}/var/log/pcsd
-+ifeq ($(IS_DEBIAN),true)
-+	mkdir -p ${DESTDIR}/usr/share/
-+	cp -r pcsd ${DESTDIR}/usr/share/
-+	install -m 644 -D pcsd/pcsd.conf ${DESTDIR}/etc/default/pcsd
-+	install -d ${DESTDIR}/etc/pam.d
-+	install  pcsd/pcsd.pam.debian ${DESTDIR}/etc/pam.d/pcsd
-+  ifeq ($(IS_SYSTEMCTL),true)
-+	install -d ${DESTDIR}/${systemddir}/system/
-+	install -m 644 pcsd/pcsd.service.debian ${DESTDIR}/${systemddir}/system/pcsd.service
-+  else
-+	install -m 755 -D pcsd/pcsd.debian ${DESTDIR}/${initdir}/pcsd
-+  endif
-+else
- 	mkdir -p ${DESTDIR}${PREFIX}/lib/
- 	cp -r pcsd ${DESTDIR}${PREFIX}/lib/
- 	install -m 644 -D pcsd/pcsd.conf ${DESTDIR}/etc/sysconfig/pcsd
- 	install -d ${DESTDIR}/etc/pam.d
- 	install  pcsd/pcsd.pam ${DESTDIR}/etc/pam.d/pcsd
--	install -m 700 -d ${DESTDIR}/var/lib/pcsd
--	install -m 644 -D pcsd/pcsd.logrotate ${DESTDIR}/etc/logrotate.d/pcsd
--ifeq ($(IS_SYSTEMCTL),true)
--	install -d ${DESTDIR}/usr/lib/systemd/system/
--	install -m 644 pcsd/pcsd.service ${DESTDIR}/usr/lib/systemd/system/
--else
-+  ifeq ($(IS_SYSTEMCTL),true)
-+	install -d ${DESTDIR}/${systemddir}/system/
-+	install -m 644 pcsd/pcsd.service ${DESTDIR}/${systemddir}/system/
-+  else
- 	install -m 755 -D pcsd/pcsd ${DESTDIR}/${initdir}/pcsd
-+  endif
- endif
-+	install -m 700 -d ${DESTDIR}/var/lib/pcsd
-+	install -m 644 -D pcsd/pcsd.logrotate ${DESTDIR}/etc/logrotate.d/pcsd
- 
- uninstall:
- 	rm -f ${DESTDIR}${PREFIX}/sbin/pcs
- 	rm -rf ${DESTDIR}${PYTHON_SITELIB}/pcs
-+ifeq ($(IS_DEBIAN),true)
-+	rm -rf ${DESTDIR}/usr/share/pcsd
-+else
- 	rm -rf ${DESTDIR}${PREFIX}/lib/pcsd
-+endif
- ifeq ($(IS_SYSTEMCTL),true)
--	rm -f ${DESTDIR}/usr/lib/systemd/system/pcsd.service
-+	rm -f ${DESTDIR}/${systemddir}/system/pcsd.service
- else
- 	rm -f ${DESTDIR}/${initdir}/pcsd
- endif
-diff --git a/pcs/settings.py.i386-linux-gnu.debian b/pcs/settings.py.i386-linux-gnu.debian
-new file mode 100644
-index 0000000..105ad2f
---- /dev/null
-+++ b/pcs/settings.py.i386-linux-gnu.debian
-@@ -0,0 +1,19 @@
-+pacemaker_binaries = "/usr/sbin/"
-+corosync_binaries = "/usr/sbin/"
-+corosync_conf_file = "/etc/corosync/corosync.conf"
-+cluster_conf_file = "/etc/cluster/cluster.conf"
-+fence_agent_binaries = "/usr/sbin/"
-+pengine_binary = "/usr/lib/i386-linux-gnu/pacemaker/pengine"
-+crmd_binary = "/usr/lib/i386-linux-gnu/pacemaker/crmd"
-+cib_binary = "/usr/lib/i386-linux-gnu/pacemaker/cib"
-+stonithd_binary = "/usr/lib/i386-linux-gnu/pacemaker/stonithd"
-+pcs_version = "0.9.139"
-+crm_report = pacemaker_binaries + "crm_report"
-+crm_verify = pacemaker_binaries + "crm_verify"
-+pcsd_cert_location = "/var/lib/pcsd/pcsd.crt"
-+pcsd_key_location = "/var/lib/pcsd/pcsd.key"
-+corosync_uidgid_dir = "/etc/corosync/uidgid.d/"
-+cib_dir = "/var/lib/pacemaker/cib/"
-+pacemaker_uname = "hacluster"
-+pacemaker_gname = "haclient"
-+default_wait = 30
-diff --git a/pcs/settings.py.x86_64-linux-gnu.debian b/pcs/settings.py.x86_64-linux-gnu.debian
-new file mode 100644
-index 0000000..8740369
---- /dev/null
-+++ b/pcs/settings.py.x86_64-linux-gnu.debian
-@@ -0,0 +1,19 @@
-+pacemaker_binaries = "/usr/sbin/"
-+corosync_binaries = "/usr/sbin/"
-+corosync_conf_file = "/etc/corosync/corosync.conf"
-+cluster_conf_file = "/etc/cluster/cluster.conf"
-+fence_agent_binaries = "/usr/sbin/"
-+pengine_binary = "/usr/lib/x86_64-linux-gnu/pacemaker/pengine"
-+crmd_binary = "/usr/lib/x86_64-linux-gnu/pacemaker/crmd"
-+cib_binary = "/usr/lib/x86_64-linux-gnu/pacemaker/cib"
-+stonithd_binary = "/usr/lib/x86_64-linux-gnu/pacemaker/stonithd"
-+pcs_version = "0.9.139"
-+crm_report = pacemaker_binaries + "crm_report"
-+crm_verify = pacemaker_binaries + "crm_verify"
-+pcsd_cert_location = "/var/lib/pcsd/pcsd.crt"
-+pcsd_key_location = "/var/lib/pcsd/pcsd.key"
-+corosync_uidgid_dir = "/etc/corosync/uidgid.d/"
-+cib_dir = "/var/lib/pacemaker/cib/"
-+pacemaker_uname = "hacluster"
-+pacemaker_gname = "haclient"
-+default_wait = 30
-diff --git a/pcsd/pcsd.debian b/pcsd/pcsd.debian
-new file mode 100755
-index 0000000..1d63ea5
---- /dev/null
-+++ b/pcsd/pcsd.debian
-@@ -0,0 +1,141 @@
-+#!/bin/sh
-+##
-+# pcsd Pacemaker & Corosync configuration daemon
-+#
-+# chkconfig:   - 21 81 
-+# description: Pacemaker & Corosync configuration daemon
-+
-+### BEGIN INIT INFO
-+# Provides: pcsd
-+# Required-Start: $remote_fs $network $syslog
-+# Required-Stop: $remote_fs $network $syslog
-+# Should-Start: 
-+# Should-Stop: 
-+# Default-Start: 2 3 4 5
-+# Default-Stop: 0 1 6
-+# Short-Description: Starts and stops Pacemaker & Corosync daemon
-+# Description: Starts and stops Pacemaker & Corosync daemon
-+### END INIT INFO
-+
-+# PATH
-+PATH=/usr/sbin:/usr/bin:/sbin:/bin
-+DESC="pcs daemon"
-+NAME=pcsd
-+EXEC=ruby
-+SUB_EXEC=/usr/share/pcsd/ssl.rb
-+DAEMON_USER=root
-+DAEMON=/usr/bin/ruby
-+DAEMON_ARGS="-C/var/lib/pcsd -I/usr/share/pcsd -- /usr/share/pcsd/ssl.rb"
-+PIDFILE=/var/run/$NAME.pid
-+SCRIPTNAME=/etc/init.d/$NAME
-+LOGFILE=/var/log/$NAME/$NAME.log
-+SLEEP_DURATION=2
-+
-+# Exit if ruby is not installed
-+[ -x $(which $EXEC) ] || echo "$EXEC was not found. Is it installed?"
-+[ -x $(which $SUB_EXEC) ] || echo "$SUB_EXEC not found. Is pcs installed?"
-+
-+# Read configuration variable file if it is present
-+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
-+
-+# Source lsb init functions
-+. /lib/lsb/init-functions
-+
-+is_running()
-+{
-+  # Test whether pid file exists or not
-+  test -f $PIDFILE || return 1
-+
-+  # Test whether process is running or not
-+  read PID < "$PIDFILE"
-+  ps -p $PID >/dev/null 2>&1 || return 1
-+
-+  # Is running
-+  return 0
-+}
-+
-+root_only()
-+{
-+  if [ "$(id -u)" != "0" ]; then
-+    echo "Only root should run this operation"
-+    exit 1
-+  fi
-+}
-+
-+run()
-+{
-+  if is_running; then
-+    PID="$(cat $PIDFILE)"
-+    echo "Daemon is already running as PID $PID"
-+    return 1
-+  fi
-+
-+  nohup $DAEMON $DAEMON_ARGS > /dev/null 2>&1
-+  echo $! > $PIDFILE
-+  read PID < "$PIDFILE"
-+
-+  echo "PID is $PID"
-+
-+  sleep $SLEEP_DURATION
-+  if ! is_running; then
-+    echo "Daemon died immediately after starting. Please check your logs and configurations."
-+    return 1
-+  fi
-+
-+  echo "Daemon is running as PID $PID"
-+  return 0
-+}
-+
-+stop()
-+{
-+  if is_running; then
-+    read PID < "$PIDFILE"
-+    kill -9 $PID
-+  fi
-+
-+  sleep $SLEEP_DURATION
-+  if is_running; then
-+    while is_running; do
-+      echo "waiting for daemon to die (PID $PID)"
-+      sleep $SLEEP_DURATION
-+    done
-+  fi
-+
-+  # Be sure to remove the pid file
-+  rm -f "$PIDFILE"
-+  return 0
-+}
-+
-+case "$1" in
-+  start)
-+    root_only
-+    log_daemon_msg "Starting $DESC"  "$NAME"
-+    run
-+    log_end_msg $?
-+    ;;
-+  stop)
-+    root_only
-+    log_daemon_msg "Stopping $DESC" "$NAME"
-+    stop
-+    log_end_msg $?
-+    ;;
-+  restart|force-reload)
-+    log_daemon_msg "Restarting $DESC" "$NAME"
-+    root_only
-+    $0 stop && $0 start
-+    ;;
-+  status|monitor)
-+    status_of_proc \
-+      -p "$PIDFILE" \
-+      "$SUB_EXEC" \
-+      "$NAME" \
-+      && exit 0 \
-+      || exit $?
-+    ;;
-+  *)
-+    echo "Usage: $0 {start|stop|restart|reload|force-reload|status|monitor}"
-+    exit 1
-+  ;;
-+esac
-+
-+:
-diff --git a/pcsd/pcsd.pam.debian b/pcsd/pcsd.pam.debian
-new file mode 100644
-index 0000000..4757464
---- /dev/null
-+++ b/pcsd/pcsd.pam.debian
-@@ -0,0 +1,5 @@
-+#%PAM-1.0
-+auth       include      common-auth
-+account    include      common-account
-+password   include      common-password
-+session    include      common-session
-diff --git a/pcsd/pcsd.service.debian b/pcsd/pcsd.service.debian
-new file mode 100644
-index 0000000..0892773
---- /dev/null
-+++ b/pcsd/pcsd.service.debian
-@@ -0,0 +1,9 @@
-+[Unit]
-+Description=PCS GUI and remote configuration interface
-+
-+[Service]
-+EnvironmentFile=/etc/default/pcsd
-+ExecStart=/usr/bin/ruby -C/var/lib/pcsd -I/usr/share/pcsd -- /usr/share/pcsd/ssl.rb & > /dev/null &
-+
-+[Install]
-+WantedBy=multi-user.target
diff --git a/debian/patches/0002-Fix-pcsd-makefile-for-gnu-linux.patch b/debian/patches/0002-Fix-pcsd-makefile-for-gnu-linux.patch
deleted file mode 100644
index bfe6f88..0000000
--- a/debian/patches/0002-Fix-pcsd-makefile-for-gnu-linux.patch
+++ /dev/null
@@ -1,31 +0,0 @@
-From: Richard B Winters <rik at mmogp.com>
-Date: Wed, 6 May 2015 01:37:08 -0400
-Subject: Fix pcsd makefile for gnu linux
-
- - Patching pcsd makefile with upstream's latest changes, so 
-   that the build works properly on debian. Without the patch, 
-   the incorrect alias is used for the build_gems target
-
-Change-Id: I004a27b8982594a393c72ba3abfa7425a5ec2687
-Signed-off-by: Richard B Winters <rik at mmogp.com>
----
- pcsd/Makefile | 6 +++---
- 1 file changed, 3 insertions(+), 3 deletions(-)
-
-diff --git a/pcsd/Makefile b/pcsd/Makefile
-index 325f54a..8779671 100644
---- a/pcsd/Makefile
-+++ b/pcsd/Makefile
-@@ -1,9 +1,9 @@
- REL_INFO := $(shell grep -q -i "release 6" /etc/redhat-release ; echo $$?)
- 
--ifeq (${REL_INFO},1)
--  build_gems: build_gems_normal
--else
-+ifeq (${REL_INFO},0)
-   build_gems: build_gems_rhel6
-+else
-+  build_gems: build_gems_normal
- endif
- 
- build_gems_normal:
diff --git a/debian/patches/0003-Remove-Gemlock.file-on-Debian.patch b/debian/patches/0003-Remove-Gemlock.file-on-Debian.patch
deleted file mode 100644
index 39643ec..0000000
--- a/debian/patches/0003-Remove-Gemlock.file-on-Debian.patch
+++ /dev/null
@@ -1,70 +0,0 @@
-From: Richard B Winters <rik at mmogp.com>
-Date: Wed, 6 May 2015 01:38:36 -0400
-Subject: Remove Gemlock.file on Debian
-
- - See
-https://wiki.debian.org/Teams/Ruby/Packaging/Tests#Dealing_with_Bundler_usage
-
-Signed-off-by: Richard B Winters <rik at mmogp.com>
-Change-Id: I34688b4ce4e7bff85f1ce571ca036c49755b3958
----
- pcsd/Gemfile.lock | 50 --------------------------------------------------
- 1 file changed, 50 deletions(-)
- delete mode 100644 pcsd/Gemfile.lock
-
-diff --git a/pcsd/Gemfile.lock b/pcsd/Gemfile.lock
-deleted file mode 100644
-index 06db6d6..0000000
---- a/pcsd/Gemfile.lock
-+++ /dev/null
-@@ -1,50 +0,0 @@
--GEM
--  remote: https://rubygems.org/
--  specs:
--    backports (3.6.4)
--    eventmachine (1.0.3)
--    highline (1.6.20)
--    monkey-lib (0.5.4)
--      backports
--    multi_json (1.10.1)
--    open4 (1.3.4)
--    rack (1.5.2)
--    rack-protection (1.5.3)
--      rack
--    rack-test (0.6.2)
--      rack (>= 1.0)
--    rpam-ruby19 (1.2.1)
--    sinatra (1.4.5)
--      rack (~> 1.4)
--      rack-protection (~> 1.4)
--      tilt (~> 1.3, >= 1.3.4)
--    sinatra-contrib (1.4.2)
--      backports (>= 2.0)
--      multi_json
--      rack-protection
--      rack-test
--      sinatra (~> 1.4.0)
--      tilt (~> 1.3)
--    sinatra-sugar (0.5.1)
--      monkey-lib (~> 0.5.0)
--      sinatra (~> 1.0)
--    tilt (1.4.1)
--
--PLATFORMS
--  ruby
--
--DEPENDENCIES
--  backports
--  eventmachine
--  highline
--  monkey-lib
--  multi_json
--  open4
--  rack
--  rack-protection
--  rack-test
--  rpam-ruby19
--  sinatra
--  sinatra-contrib
--  sinatra-sugar
--  tilt
diff --git a/debian/patches/0004-Remove-require-on-rubygems-in-pcsd-ssl.rb.patch b/debian/patches/0004-Remove-require-on-rubygems-in-pcsd-ssl.rb.patch
deleted file mode 100644
index 4d128f5..0000000
--- a/debian/patches/0004-Remove-require-on-rubygems-in-pcsd-ssl.rb.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-From: Richard B Winters <rik at mmogp.com>
-Date: Wed, 6 May 2015 01:40:59 -0400
-Subject: Remove require on rubygems in pcsd ssl.rb
-
-  - Remove the require on rubygems from /usr/share/pcsd/ssl.rb 
-    as dependencies are handled via debian
-
-Change-Id: I0c2686f52aab375ec67a7686c911c79e776f8fe8
-Signed-off-by: Richard B Winters <rik at mmogp.com>
----
- pcsd/ssl.rb | 1 -
- 1 file changed, 1 deletion(-)
-
-diff --git a/pcsd/ssl.rb b/pcsd/ssl.rb
-index 1001755..6535b88 100644
---- a/pcsd/ssl.rb
-+++ b/pcsd/ssl.rb
-@@ -1,4 +1,3 @@
--require 'rubygems'
- require 'webrick'
- require 'webrick/https'
- require 'openssl'
diff --git a/debian/patches/0005-Remove-pcsd-.gitignore-file.patch b/debian/patches/0005-Remove-pcsd-.gitignore-file.patch
deleted file mode 100644
index 2a19dca..0000000
--- a/debian/patches/0005-Remove-pcsd-.gitignore-file.patch
+++ /dev/null
@@ -1,22 +0,0 @@
-From: Richard B Winters <rik at mmogp.com>
-Date: Wed, 6 May 2015 01:56:11 -0400
-Subject: Remove pcsd .gitignore file
-
- - We don't install vcs ignore files in a Debian package, and 
-   do not recommend packing them in release tarballs.
-
-Change-Id: I388a75fa750f8ccb71f1b812c9fd9f5aae6e805b
-Signed-off-by: Richard B Winters <rik at mmogp.com>
----
- pcsd/.gitignore | 2 --
- 1 file changed, 2 deletions(-)
- delete mode 100644 pcsd/.gitignore
-
-diff --git a/pcsd/.gitignore b/pcsd/.gitignore
-deleted file mode 100644
-index 180bf07..0000000
---- a/pcsd/.gitignore
-+++ /dev/null
-@@ -1,2 +0,0 @@
--.bundle
--vendor
diff --git a/debian/patches/series b/debian/patches/series
deleted file mode 100644
index 7fa5bfd..0000000
--- a/debian/patches/series
+++ /dev/null
@@ -1,5 +0,0 @@
-0001-Streamline-upstream-for-compatibility-with-Debian.patch
-0002-Fix-pcsd-makefile-for-gnu-linux.patch
-0003-Remove-Gemlock.file-on-Debian.patch
-0004-Remove-require-on-rubygems-in-pcsd-ssl.rb.patch
-0005-Remove-pcsd-.gitignore-file.patch

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-ha/pcs.git



More information about the Debian-HA-Commits mailing list